package com.tuoheng.admin.service.menu;

/**
 * @Author ChengWang
 * @Date 2023/3/8
 */
public enum AccidentEnum {

    DATA_IS_NULL(1210101, "数据为空"),
    USER_IS_NOT_EXIST(1210102, "用户为空"),
    TENANT_ID_IS_NULL(1210103,"租户id为空"),
    ACCIDENT_ID_IS_NULL(1210104,"事故id为空"),
    LONGITUDE_IS_NULL(1210105,"经度为空"),
    LATITUDE_IS_NULL(1210106,"纬度为空"),
    AIRPORT_ID_IS_NULL(1210107,"巡检机场id为空"),
    AIRPORT_NAME_IS_NULL(1210108,"巡检机场名称为空"),
    EMERGENCY_INSPECTION_IS_NULL(1210109,"应急任务为空"),
    ACCIDENT_DATA_IS_NULL(1210110,"应急数据不存在");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    AccidentEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }



}
